<%--
    Document   : Trading_Report
    Created on : January 31, 2017, 5:18:24 PM
    Author     : 986137
--%>

<%@page import="LoginDb.DbHandler"%>
<%@page import="java.sql.Statement"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.sql.Connection"%>
<%@page import="java.util.ArrayList"%>
<%@page import="DataEntryBeanReportBean"%>
<%@page import="java.util.Date"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.util.ArrayList" %>
<%@page import="java.lang.String" %>
<% try {
%>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <script src="${pageContext.request.contextPath}/js/Calendar.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/TableCSSCode.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="shortcut icon" href="${pageContext.request.contextPath}/img/favicon.ico?pacs=<%=((new java.util.Date()).getTime())%>" type="image/x-icon" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/styles.css?pacs=<%=((new java.util.Date()).getTime())%>"/>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/ButtonAndText.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/info.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery-ui-1.10.4.custom/development-bundle/jquery-1.10.2.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/chromejs/chrome.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/js/iFrame_killer.js"></script>

        <script>

            function downloadFiles() {

                var e = document.getElementById("reportSelection");

                if (document.forms[0].from_date.value == "")
                {
                    alert("From Date cannot be empty.");
                    document.forms[0].from_date.focus();
                    return false;
                }
                if (document.forms[0].to_date.value == "")
                {
                    alert("To Date cannot be empty.");
                    document.forms[0].to_date.focus();
                    return false;
                }
                
                var startDate = $('#from_date').val();
                var endDate = $('#to_date').val();
                var adata = startDate.split('/');
                var dd = parseInt(adata[0],10);
                var mm = parseInt(adata[1],10);
                var yyyy = parseInt(adata[2],10);
                var from_date = new Date(yyyy,mm-1,dd);
                
                adata = endDate.split('/');
                var dd = parseInt(adata[0],10);
                var mm = parseInt(adata[1],10);
                var yyyy = parseInt(adata[2],10);
                var to_date = new Date(yyyy,mm-1,dd);

                if(Date.parse(from_date) > Date.parse(to_date)){
                    alert("From Date cannot be greater than To Date");
                    return false;
                }

                document.forms[0].reportPath.value = "/Reports/Report_Monthly_Mod";
                document.forms[0].reportName.value = "Monthly Report";
                document.forms[0].DOWNLOAD.value = "P";
                document.forms[0].action = '/PacsApplication/ExcelReportServlet';
                document.forms[0].submit();

            }
            function ShowParent()
            {

                document.forms[0].action = "${pageContext.request.contextPath}/Report_gen_monthly.jsp";
                document.forms[0].submit();
            }
            
            // to restrict back button
            history.pushState(null, null, location.href);
            window.addEventListener('popstate', function(event) {
                history.pushState(null, null, location.href);
            });

        </script>

        <title>DEPOSIT RETURN REPORT</title>

    </head>
    <body  onload="noBack();">
        <script type="text/javascript">
            function noBack()
            {
                window.history.forward();
            }
        </script>
        <%
             String ModuleName = new String();

             ModuleName = (String) session.getAttribute("moduleName");
        %>
        <% if (ModuleName.equalsIgnoreCase("KCC")) {%>
        <jsp:include page="MenuHead.jsp" flush="true" />
        <%} else if (ModuleName.equalsIgnoreCase("Deposit")) {%>
        <jsp:include page="/Deposit/MenuHead_Deposit.jsp" flush="true" />
        <%} else if (ModuleName.equalsIgnoreCase("Loan")) {%>
        <jsp:include page="/Loan/MenuHead_Loan.jsp" flush="true" />
        <%}%>
        <br>
        <%!
            String blankNull(String s) {
                return (s == null) ? "" : s;
            }

            String blankNA(String s) {
                return (s == null) ? "NA" : s;
            }
        %>

        <%
             String pacsId = (String) session.getAttribute("pacsId");
             String subPacsFlag = (String) session.getAttribute("subPacsFlag");
             Object oReportBeanObj = request.getAttribute("oReportBeanObj");
             ReportBean oReportBean = new ReportBean();
             if (oReportBeanObj != null) {
                 oReportBean = (ReportBean) request.getAttribute("oReportBean");
                 session.setAttribute("oReportBeanObj", oReportBeanObj);
             }
        %>

        <div style="top:500px">
            <fieldset style="border-color: black; background-image: url('/PacsApplication/img/download.jpg'); border-width: 3px">
                <legend style="padding: 8px; border-radius: 20px; background-color: #006600; color: white">Deposit Return Report</legend>

                <form name="pacsreport" method="post" action="/PacsApplication/ExcelReportServlet">
                    <br>
                    <table>
                        <%if (request.getAttribute("error") != null) {%>
                        <tr><td colspan="2" align="center"><%=request.getAttribute("error").toString()%></td></tr>
                        <%}%>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr></tr>
                        <tr>
                            <td style=" font-family: Berlin Sans FB; font-weight:  normal;">From Date <font color="red" >*</font>: </td>
                                <td><input type="text" style="text-align:center;" id="from_date" name="from_date" maxlength="11" resize="yes" readonly="true"> <a href="#" onclick="return getCalendar(document.forms[0].from_date);"><img src="${pageContext.request.contextPath}/img/calendar.jpg" name="imgr" border="0" width="25" height="20" /></a></td>
                        </tr><tr>
                            <td style=" font-family: Berlin Sans FB; font-weight:  normal;">To Date <font color="red" >*</font>: </td>
                                <td><input type="text" style="text-align:center;" id="to_date" name="to_date" maxlength="11" resize="yes" readonly="true"> <a href="#" onclick="return getCalendar(document.forms[0].to_date);"><img src="${pageContext.request.contextPath}/img/calendar.jpg" name="imgr" border="0" width="25" height="20" /></a></td>
                            
                        </tr>
                        <tr></tr>
                        <tr>
                            <td style=" font-family: Berlin Sans FB; font-weight:normal; ">Sub-PACS Name: </td>
                            <td><select id="subpacs_id" name="subpacs_id" >

                                    <%
                                        Connection connection = null;
                                        ResultSet rs = null;
                                        Statement statement = null;
                                        connection = DbHandler.getDBConnection();
                                        try {
                                            statement = connection.createStatement();
                                            rs = statement.executeQuery("select m.pacs_id,m.pacs_name from pacs_master m where m.head_pacs_id = '" + pacsId + "' and m.pacs_id <> m.head_pacs_id ");
                                            if (!rs.isBeforeFirst()) {%>
                                    <option value="<%=pacsId%>" selected>No Item to Select</option>
                                    <%} else { %>
                                    <option value="ALL">All Pacs</option>
                                    <option value="<%=pacsId%>">Own Pacs</option>
                                                                                <%    while (rs.next()) {%>
                                    <option value="<%=rs.getString(1)%>"><%=rs.getString(2)%></option>
                                    <%}
                                                 }
                                                // statement.close();
                                                // connection.close();
                                             } catch (Exception e) {
                System.out.println("Error occurred during processing.");
            } finally {
                try {
                    if(statement !=null)
                        statement.close();
                    if (connection != null)
                    connection.close();

            } catch (Exception e) {               
               System.out.println("Error Occurred during connection close.");
            }

            }
                                         %>
                                </select></td>
                        </tr>
                    </table><br><br><br><br>
                    <tr><td><br></td></tr>
                    <tr><td><br></td></tr>
                    <tr><td><label><font color="red" >*</font> marked fields are mandatory.</label></td></tr>
                    <center>
                        <input type="button" value="Fetch Report" onclick="javascript:downloadFiles();">
                        <input type="button" value="Reset" id="Reset" onclick="ShowParent();" />
                    </center>

                    <input type="hidden" name="reportPath" value=""/>
                    <input type="hidden" name="reportName" value=""/>
                    <input type="hidden" name="DOWNLOAD" value=""/>
                    <input type="hidden" name="subpacs_id" value="ALL"/>

                </form>
            </fieldset>
        </div>
    </body>
</html>
<% 	} catch (Exception e) {
                
            }
%>
